include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kgeography (executable)

tde_add_executable( kgeography AUTOMOC

  SOURCES
        main.cpp
        mapwidget.cpp
        division.cpp
        map.cpp
        mapparser.cpp
        kgeography.cpp
        mapchooser.cpp
        mypopup.cpp
        popupmanager.cpp
        flagdivisionasker.cpp
        askwidget.cpp
        mapasker.cpp
        capitaldivisionasker.cpp
        divisioncapitalasker.cpp
        boxasker.cpp
        divisionflagasker.cpp
        answer.cpp
        answersdialog.cpp
        settings.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES kgeographyui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kgeography
)

tde_create_translated_desktop( kgeography.desktop )

install(
    FILES kgeography.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)
